#include "sgm_esl.h"
#include "progressBar.h"

void SGM_ESL::CalWd(double attun_factor){
	//reserve vector
	if (!WdTWd.empty()) WdTWd.clear();
	WdTWd.resize(obs_points_num_,0.0);
	ProgressBar *bar = new ProgressBar(obs_points_num_,"Calculating Wd");
	for (int i = 0; i < obs_points_num_; i++)
	{
		bar->Progressed(i);
		WdTWd[i] = attun_factor/(obs_points_[i].dev*obs_points_[i].dev*obs_points_num_);
	}
	return;
}